Subject: Re: [PATCH v7 0/7] trace2: dump scope when print "interesting" config

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Jul 2022 11:57:13 -0700

Teng Long <[email-masked]> writes:

> Changes since v6:
>
> 1. [1/7] Fixed the mistitled commit mesage.
>
>    [PATCH v6 1/7] "clean: fixed issues related to text output format"
>
>    to:
>
>    [PATCH v7 1/7] "pack-bitmap.c: fix formatting of error messages"
>
> 2. [4/7] replace "warning()" to "warning_errno()" and rewrite commit message.
>
> 3. [5/7] fix the logic error, move "error_errno()" before close(fd) to
>    avoid errno lost.
>
> 4. [7/7] update Documentation/technical/api-trace2.txt here too.
>
> Thanks.
>
> Teng Long (7):
>   pack-bitmap.c: fix formatting of error messages
>   pack-bitmap.c: mark more strings for translations
>   pack-bitmap.c: rename "idx_name" to "bitmap_name"
>   pack-bitmap.c: do not ignore error when opening a bitmap file
>   pack-bitmap.c: using error() instead of silently returning -1
>   pack-bitmap.c: continue looping when first MIDX bitmap is found
>   tr2: dump names if config exist in multiple scopes

This has been "cooking" on the list for quite some time and I found
that all parts that I had comments on earlier iterations are now in
good shape.

Fellow reviewers, how does this round look?  The only gripe I have
is that the last one seems totally disconnected from the rest, but
That's minor.

Thanks.